/*
 * @Author: ysh
 * @Date: 2024-03-18 09:05:41
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-06-13 17:03:49
 */
import request from '@/utils/request'

// 查询cmc合同意见列表
export function listContractComment(query) {
  return request({
    url: '/oa/contractComment/list',
    method: 'get',
    params: query
  })
}

// 查询cmc合同意见详细
export function getContractComment(contractId) {
  return request({
    url: '/oa/contractComment/' + contractId,
    method: 'get'
  })
}

// 新增cmc合同意见
export function addContractComment(data) {
  return request({
    url: '/oa/contractComment',
    method: 'post',
    data: data
  })
}

// 修改cmc合同意见
export function updateContractComment(data) {
  return request({
    url: '/oa/contractComment',
    method: 'put',
    data: data
  })
}

// 删除cmc合同意见
export function delContractComment(contractId) {
  return request({
    url: '/oa/contractComment/' + contractId,
    method: 'delete'
  })
}
